> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryopencomputer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Workflow

> Validate the saved workflow graph and return its validation issues. Saving a definition does not prove its model, tools, or telephony connection can execute. See [Agents](/guides/agents).



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/workflow/{workflow_id}/validate
openapi: 3.1.0
info:
  title: Athena API
  version: 1.0.0
  description: >-
    Hosted Athena customer API. Authenticate backend management and call-trigger
    requests with X-API-Key. Website embeds and artifact playback use their own
    scoped tokens. Provider availability, feature settings, and verification
    limits are described in the guides.
servers:
  - url: https://athena.tryopencomputer.com
    description: Hosted Athena API
security: []
paths:
  /api/v1/workflow/{workflow_id}/validate:
    post:
      tags:
        - Workflow
      summary: Validate Workflow
      description: >-
        Validate the saved workflow graph and return its validation issues.
        Saving a definition does not prove its model, tools, or telephony
        connection can execute. See [Agents](/guides/agents).
      operationId: validate_workflow_api_v1_workflow__workflow_id__validate_post
      parameters:
        - name: workflow_id
          in: path
          required: true
          schema:
            type: integer
            title: Workflow Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateWorkflowResponse'
        '401':
          description: Authentication is missing or invalid.
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    ValidateWorkflowResponse:
      properties:
        is_valid:
          type: boolean
          title: Is Valid
        errors:
          items:
            $ref: '#/components/schemas/WorkflowError'
          type: array
          title: Errors
      type: object
      required:
        - is_valid
        - errors
      title: ValidateWorkflowResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowError:
      properties:
        kind:
          $ref: '#/components/schemas/ItemKind'
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        field:
          anyOf:
            - type: string
            - type: 'null'
          title: Field
        message:
          type: string
          title: Message
      type: object
      required:
        - kind
        - id
        - field
        - message
      title: WorkflowError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ItemKind:
      type: string
      enum:
        - node
        - edge
        - workflow
      title: ItemKind
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.